Table of Contents

Class: MessageBoxWizard | eric3/Wizards/MessageBoxWizard/MessageBoxWizard.py
--- | ---

Class implementing the message box wizard.

Base Classes |
--- | ---
WizardIFace

Methods |
--- | ---
__init__ callForm getAction handle
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| callForm

    callForm ( self,  editor )

### Private method to display a dialog and get the code.

#### Arguments

editor
  reference to the current editor

#### Returns

the generated code (string)

| getAction

    getAction ( self )

### Public method to get the action associated with this class wizard.

#### Returns

the associated action

| handle

    handle ( self )

Worker method associated with the wizard action

Table of Contents

This document was automatically generated by HappyDoc version 2.1